<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:21:03 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>C_CppFactory (org.eclipse.papyrus.designer.languages.cpp.profile 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C_CppFactory (org.eclipse.papyrus.designer.languages.cpp.profile 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/C_CppFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Array.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" target="_top">Frames</a></li>
<li><a href="C_CppFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp</div>
<h2 title="Interface C_CppFactory" class="title">Interface C_CppFactory</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/impl/C_CppFactoryImpl.html" title="class in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp.impl">C_CppFactoryImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">C_CppFactory</span>
extends org.eclipse.emf.ecore.EFactory</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Factory</b> for the model.
 It provides a create method for each non-abstract class of the model.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><code>C_CppPackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">C_CppFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Array.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Array</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createArray--">createArray</a></span>()</code>
<div class="block">Returns a new object of class '<em>Array</em>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Const.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Const</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createConst--">createConst</a></span>()</code>
<div class="block">Returns a new object of class '<em>Const</em>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ConstInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ConstInit</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createConstInit--">createConstInit</a></span>()</code>
<div class="block">Returns a new object of class '<em>Const Init</em>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">CppInit</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createCppInit--">createCppInit</a></span>()</code>
<div class="block">Returns a new object of class '<em>Cpp Init</em>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppRoot.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">CppRoot</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createCppRoot--">createCppRoot</a></span>()</code>
<div class="block">Returns a new object of class '<em>Cpp Root</em>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/External.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">External</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createExternal--">createExternal</a></span>()</code>
<div class="block">Returns a new object of class '<em>External</em>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ExternLibrary</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createExternLibrary--">createExternLibrary</a></span>()</code>
<div class="block">Returns a new object of class '<em>Extern Library</em>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Friend.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Friend</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createFriend--">createFriend</a></span>()</code>
<div class="block">Returns a new object of class '<em>Friend</em>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Include</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createInclude--">createInclude</a></span>()</code>
<div class="block">Returns a new object of class '<em>Include</em>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Inline.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Inline</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createInline--">createInline</a></span>()</code>
<div class="block">Returns a new object of class '<em>Inline</em>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ManualGeneration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createManualGeneration--">createManualGeneration</a></span>()</code>
<div class="block">Returns a new object of class '<em>Manual Generation</em>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Mutable.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Mutable</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createMutable--">createMutable</a></span>()</code>
<div class="block">Returns a new object of class '<em>Mutable</em>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">NoCodeGen</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createNoCodeGen--">createNoCodeGen</a></span>()</code>
<div class="block">Returns a new object of class '<em>No Code Gen</em>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ptr.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Ptr</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createPtr--">createPtr</a></span>()</code>
<div class="block">Returns a new object of class '<em>Ptr</em>'.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ref.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Ref</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createRef--">createRef</a></span>()</code>
<div class="block">Returns a new object of class '<em>Ref</em>'.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/StorageClass.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">StorageClass</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createStorageClass--">createStorageClass</a></span>()</code>
<div class="block">Returns a new object of class '<em>Storage Class</em>'.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Template.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Template</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createTemplate--">createTemplate</a></span>()</code>
<div class="block">Returns a new object of class '<em>Template</em>'.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">TemplateBinding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createTemplateBinding--">createTemplateBinding</a></span>()</code>
<div class="block">Returns a new object of class '<em>Template Binding</em>'.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">TemplateParameter</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createTemplateParameter--">createTemplateParameter</a></span>()</code>
<div class="block">Returns a new object of class '<em>Template Parameter</em>'.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Typedef.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Typedef</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createTypedef--">createTypedef</a></span>()</code>
<div class="block">Returns a new object of class '<em>Typedef</em>'.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Union.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Union</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createUnion--">createUnion</a></span>()</code>
<div class="block">Returns a new object of class '<em>Union</em>'.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Variadic</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createVariadic--">createVariadic</a></span>()</code>
<div class="block">Returns a new object of class '<em>Variadic</em>'.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Virtual.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Virtual</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createVirtual--">createVirtual</a></span>()</code>
<div class="block">Returns a new object of class '<em>Virtual</em>'.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Visibility.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Visibility</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createVisibility--">createVisibility</a></span>()</code>
<div class="block">Returns a new object of class '<em>Visibility</em>'.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Volatile</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#createVolatile--">createVolatile</a></span>()</code>
<div class="block">Returns a new object of class '<em>Volatile</em>'.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">C_CppPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html#getC_CppPackage--">getC_CppPackage</a></span>()</code>
<div class="block">Returns the package supported by this factory.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EFactory">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EFactory</h3>
<code>convertToString, create, createFromString, getEPackage, setEPackage</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">C_CppFactory</a> eINSTANCE</pre>
<div class="block">The singleton instance of the factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createPtr--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPtr</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ptr.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Ptr</a>&nbsp;createPtr()</pre>
<div class="block">Returns a new object of class '<em>Ptr</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Ptr</em>'.</dd>
</dl>
</li>
</ul>
<a name="createInclude--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInclude</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Include.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Include</a>&nbsp;createInclude()</pre>
<div class="block">Returns a new object of class '<em>Include</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Include</em>'.</dd>
</dl>
</li>
</ul>
<a name="createManualGeneration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createManualGeneration</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ManualGeneration</a>&nbsp;createManualGeneration()</pre>
<div class="block">Returns a new object of class '<em>Manual Generation</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Manual Generation</em>'.</dd>
</dl>
</li>
</ul>
<a name="createExternLibrary--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createExternLibrary</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ExternLibrary</a>&nbsp;createExternLibrary()</pre>
<div class="block">Returns a new object of class '<em>Extern Library</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Extern Library</em>'.</dd>
</dl>
</li>
</ul>
<a name="createNoCodeGen--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNoCodeGen</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">NoCodeGen</a>&nbsp;createNoCodeGen()</pre>
<div class="block">Returns a new object of class '<em>No Code Gen</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>No Code Gen</em>'.</dd>
</dl>
</li>
</ul>
<a name="createCppRoot--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createCppRoot</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppRoot.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">CppRoot</a>&nbsp;createCppRoot()</pre>
<div class="block">Returns a new object of class '<em>Cpp Root</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Cpp Root</em>'.</dd>
</dl>
</li>
</ul>
<a name="createArray--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createArray</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Array.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Array</a>&nbsp;createArray()</pre>
<div class="block">Returns a new object of class '<em>Array</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Array</em>'.</dd>
</dl>
</li>
</ul>
<a name="createConst--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConst</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Const.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Const</a>&nbsp;createConst()</pre>
<div class="block">Returns a new object of class '<em>Const</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Const</em>'.</dd>
</dl>
</li>
</ul>
<a name="createRef--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createRef</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Ref.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Ref</a>&nbsp;createRef()</pre>
<div class="block">Returns a new object of class '<em>Ref</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Ref</em>'.</dd>
</dl>
</li>
</ul>
<a name="createExternal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createExternal</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/External.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">External</a>&nbsp;createExternal()</pre>
<div class="block">Returns a new object of class '<em>External</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>External</em>'.</dd>
</dl>
</li>
</ul>
<a name="createConstInit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createConstInit</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/ConstInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">ConstInit</a>&nbsp;createConstInit()</pre>
<div class="block">Returns a new object of class '<em>Const Init</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Const Init</em>'.</dd>
</dl>
</li>
</ul>
<a name="createFriend--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFriend</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Friend.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Friend</a>&nbsp;createFriend()</pre>
<div class="block">Returns a new object of class '<em>Friend</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Friend</em>'.</dd>
</dl>
</li>
</ul>
<a name="createInline--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInline</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Inline.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Inline</a>&nbsp;createInline()</pre>
<div class="block">Returns a new object of class '<em>Inline</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Inline</em>'.</dd>
</dl>
</li>
</ul>
<a name="createVirtual--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createVirtual</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Virtual.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Virtual</a>&nbsp;createVirtual()</pre>
<div class="block">Returns a new object of class '<em>Virtual</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Virtual</em>'.</dd>
</dl>
</li>
</ul>
<a name="createTypedef--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTypedef</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Typedef.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Typedef</a>&nbsp;createTypedef()</pre>
<div class="block">Returns a new object of class '<em>Typedef</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Typedef</em>'.</dd>
</dl>
</li>
</ul>
<a name="createVisibility--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createVisibility</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Visibility.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Visibility</a>&nbsp;createVisibility()</pre>
<div class="block">Returns a new object of class '<em>Visibility</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Visibility</em>'.</dd>
</dl>
</li>
</ul>
<a name="createCppInit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createCppInit</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/CppInit.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">CppInit</a>&nbsp;createCppInit()</pre>
<div class="block">Returns a new object of class '<em>Cpp Init</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Cpp Init</em>'.</dd>
</dl>
</li>
</ul>
<a name="createTemplate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTemplate</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Template.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Template</a>&nbsp;createTemplate()</pre>
<div class="block">Returns a new object of class '<em>Template</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Template</em>'.</dd>
</dl>
</li>
</ul>
<a name="createTemplateBinding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTemplateBinding</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">TemplateBinding</a>&nbsp;createTemplateBinding()</pre>
<div class="block">Returns a new object of class '<em>Template Binding</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Template Binding</em>'.</dd>
</dl>
</li>
</ul>
<a name="createTemplateParameter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTemplateParameter</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">TemplateParameter</a>&nbsp;createTemplateParameter()</pre>
<div class="block">Returns a new object of class '<em>Template Parameter</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Template Parameter</em>'.</dd>
</dl>
</li>
</ul>
<a name="createUnion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createUnion</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Union.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Union</a>&nbsp;createUnion()</pre>
<div class="block">Returns a new object of class '<em>Union</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Union</em>'.</dd>
</dl>
</li>
</ul>
<a name="createStorageClass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStorageClass</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/StorageClass.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">StorageClass</a>&nbsp;createStorageClass()</pre>
<div class="block">Returns a new object of class '<em>Storage Class</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Storage Class</em>'.</dd>
</dl>
</li>
</ul>
<a name="createVolatile--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createVolatile</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Volatile</a>&nbsp;createVolatile()</pre>
<div class="block">Returns a new object of class '<em>Volatile</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Volatile</em>'.</dd>
</dl>
</li>
</ul>
<a name="createVariadic--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createVariadic</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Variadic</a>&nbsp;createVariadic()</pre>
<div class="block">Returns a new object of class '<em>Variadic</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Variadic</em>'.</dd>
</dl>
</li>
</ul>
<a name="createMutable--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createMutable</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Mutable.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">Mutable</a>&nbsp;createMutable()</pre>
<div class="block">Returns a new object of class '<em>Mutable</em>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new object of class '<em>Mutable</em>'.</dd>
</dl>
</li>
</ul>
<a name="getC_CppPackage--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getC_CppPackage</h4>
<pre><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp">C_CppPackage</a>&nbsp;getC_CppPackage()</pre>
<div class="block">Returns the package supported by this factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the package supported by this factory.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/C_CppFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/Array.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppPackage.html" title="interface in org.eclipse.papyrus.designer.languages.cpp.profile.C_Cpp"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/cpp/profile/C_Cpp/C_CppFactory.html" target="_top">Frames</a></li>
<li><a href="C_CppFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
